Retorna os métodos de pagamento habilitados para a conta. Informe currency para filtrar a moeda; country com currency acrescenta payment_capabilities com as variantes habilitadas por país. Só ofereça Apple Pay se apple_pay estiver em methods. merchant_id é reservado a administradores.
Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
In: header
application/json
curl -X GET "https://example.com/v1/charges/methods"{
"status": 0,
"message": "string",
"data": {
"methods": [
"credit_card"
],
"payment_capabilities": [
{
"id": "string",
"label": "string",
"region": "string",
"countries": [
"string"
],
"currency": "string",
"payment_method": "credit_card",
"provider_method": "string",
"channel": "string",
"auth_type": "QR",
"flow": "pay",
"endpoint": "string",
"source": "http://example.com",
"requires_identification": true,
"requires_phone": true,
"requires_billing_address": true,
"requires_wallet_account": true,
"requires_user_ip": true,
"bank_list": true,
"integer_amount": true,
"contract_required": "string"
}
]
}
}